libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::IPCMessage::Header Struct Reference

Container for an IPCMessage header. More...

## Public Attributes
uint32_t | cmd
| Type of IPCMessage.
uint32_t | cookie
| Cookie to identify the message and a corresponding reply.

## Detailed Description

Container for an IPCMessage header.

Holds a cmd code for the IPC message, and a cookie.

## Member Data Documentation

## ◆ cmd

uint32_t libcamera::IPCMessage::Header::cmd

Type of IPCMessage.

Typically used to carry a command code for an RPC.

## ◆ cookie

uint32_t libcamera::IPCMessage::Header::cookie

Cookie to identify the message and a corresponding reply.

Populated and used by IPCPipe implementations for matching calls with replies.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/ipc_pipe.h
- src/libcamera/ipc_pipe.cpp